/**Begin D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_MEMBER_GRANT') 
 CREATE TABLE T_BCM_MEMBER_GRANT (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FUSERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERSID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFYDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FISINCLUDESUB CHAR(1) DEFAULT '0' NOT NULL,
FISCUSTOMPROP CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_CLASS_GRANT') 
 CREATE TABLE T_BCM_CLASS_GRANT (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FUSERSID BIGINT DEFAULT 0 NOT NULL,
FUSERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERMCLASSID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FCREATERID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
